﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ParticleScript : MonoBehaviour {

	Vector3 vel;
	public bool fissato = false;
	public float massa = 1.0f;
	public float drag = 0.2f;  // perdo il 20% di velocita AL SECONDO

	[HideInInspector]
	public Vector3 forze; // cumulazione delle forze

	void Start () {
		vel.Set (0, 0, 0);
		forze.Set (0, 0, 0);
	}

	void eulerStep(){
		if (fissato) return;

		float dt = Time.deltaTime;

		Vector3 acc = Vector3.down * 9.8f + forze / massa;
		Vector3 pos = transform.position;

		forze.Set (0, 0, 0);

		vel = vel + acc * dt;
		pos = pos + vel * dt;

		vel *= 1.0f - drag * dt;
		transform.position = pos;
	}

	void FixedUpdate () {
		eulerStep ();
	}


}
